Subject: 4.13 (and probably all recent) kernels refuse to boot on one Nokia N950, work or another

From: [email-masked] (Tony Lindgren)
Date: Wed, 25 Oct 2017 14:28:07 -0700

* Pavel Machek <[email-masked]> [171025 13:36]:
> Hi!
> 
> ...hardware should be identical. 3.5.3-nemo kernel seems to work on
> both. 4.13-rc2 with display and clock patches boots on phone "S", but
> does not on phone "P"; nothing nothing is received on serial port.
> 
> There is some difference in the bootloaders: S's bootloader provides
> lots of debug info, P's is silent. R&D settings do _not_ have
> influence on bootloader. We know P's serial works, as 3.5.3 kernel
> prints "Uncompressing linux...booting" there.
> 
> I'll need to return "S" phone and serial cable tommorow. If you have
> any ideas, let me know.

If you get nothing out of the uart, chances are the pins are
not muxed for the uart in nolo and maybe kernel dts is missing the
pinctrl entries for uart?

Also try booting with mem=512M at 0x80000000 or 256M or 768M. Maybe the
memory is different size or partially broken?

Regards,

Tony